<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template name="displayNonModifiableField">
	<xsl:param name="txt">donne par le code</xsl:param>
	<font class="uportal-channel-text"><xsl:value-of select="$txt"/></font>
</xsl:template>

<xsl:template name="displayModifiableField">
	<xsl:param name="txt">donne par le code</xsl:param>
	<font class="uportal-channel-strong"><xsl:value-of select="$txt"/></font>
</xsl:template>

<xsl:template name="displayValueField">
	<xsl:param name="txt">donne par le code</xsl:param>
	<font class="uportal-channel-text"><xsl:value-of select="$txt"/></font>
</xsl:template>

<xsl:template name="displayErrorField">
	<xsl:param name="txt">donne par le code</xsl:param>
	<font class="uportal-channel-warning"><xsl:value-of select="$txt"/></font>
</xsl:template> 



<xsl:template match="ATTRIBUTE">
	<xsl:param name="label">*</xsl:param>		
	<xsl:param name="saisie">false</xsl:param>	
	<xsl:param name="modifiable">false</xsl:param>	
	<xsl:param name="allowMultiValue">false</xsl:param>	
	<xsl:param name="size">20</xsl:param>	
	<td>
		<xsl:choose>
			<xsl:when test="$modifiable='true'">
				<xsl:choose>
					<xsl:when test="@inError='1'">
						<xsl:call-template name="displayErrorField">
							<xsl:with-param name="txt"><xsl:value-of select="$label"/></xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>	
						<xsl:call-template name="displayModifiableField">
							<xsl:with-param name="txt"><xsl:value-of select="$label"/></xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>			
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="displayNonModifiableField">
					<xsl:with-param name="txt"><xsl:value-of select="$label"/></xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>			
		</xsl:choose>
	</td>
	<td>
	<xsl:choose>
		<xsl:when test="$saisie='true'">
			<table>
			<tr>
				<td>
					<xsl:for-each select="VALUE">
						<input type="text" name="{../@name}" id="{../@name}_{position()}" value="{@value}" class="uportal-input-text" size="{$size}"/>
						<xsl:if test="position()!=last()"><br/></xsl:if>
					</xsl:for-each>		
					<xsl:if test="count(VALUE)=0">
						<input type="text" name="{@name}" id="{@name}_new" value="" class="uportal-input-text" size="{$size}"/>
					</xsl:if>		
					<xsl:if test="$allowMultiValue='true'">
						<input type="submit" name="addValue{@name}" value="+" class="uportal-button" onclick="document.myForm.etat.value='main'" />
					</xsl:if>
				</td>
				<td><xsl:if test="count(EXEMPLE)>0">
						<font class="uportal-channel-warning">Exemple de saisie :</font>
							<xsl:for-each select="EXEMPLE">
								<li><xsl:value-of select="@value"/></li>
							</xsl:for-each>								
					</xsl:if>&#160;
				</td>
			</tr>
			</table>
		</xsl:when>
		<xsl:otherwise>
			<xsl:for-each select="VALUE">
				<xsl:call-template name="displayValueField">
					<xsl:with-param name="txt"><xsl:value-of select="@value"/></xsl:with-param>
				</xsl:call-template>
				<xsl:if test="position()!=last()"><br/></xsl:if>
			</xsl:for-each>				
		</xsl:otherwise>			
	</xsl:choose>
	</td>
</xsl:template>





<xsl:template match="ERROR">
	<xsl:choose>
		<xsl:when test="@typeError='pbWhileGetInfosFromLdap'">
			<font class="uportal-channel-error">L'une des information  recuillir n'est pas correcte.<br/>
			Contactez l'administrateur pour remdier  ce problme.</font>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="errorBar">
	
	<table width="100%">
		<xsl:if test="count(INFOS/ATTRIBUTE[@inError='1'])=1">
			<tr><td colspan="2"><font class="uportal-channel-warning">Le champ signal est mal rempli.</font></td></tr>
		</xsl:if>	
		<xsl:if test="count(INFOS/ATTRIBUTE[@inError='1'])>1">
			<tr><td colspan="2"><font class="uportal-channel-warning">Les champs signals sont mal remplis.</font></td></tr>
		</xsl:if>
   </table>
</xsl:template>

	
</xsl:stylesheet>	